看看我吧!求求了!Python安装requests出错,怎么办?

我是第一次学习python,安装requests库,我首先是在cmd里查找了我的script文件夹里是否有pip.exe,有,我接着pip install requests,接着提示我更新,我也Python -m pip install --user --upgrade pip更新.

但是还是import requests不成功

图片说明

我再一次在cmd尝试pip install requests,就出现错误了
图片说明

警告是说我因为升级不可以再用原来的pip命令 要加-m
我试了一下还是不可以
我也尝试了百度等方法,但是都不太明白错在哪里
拜托各位大神,帮我看看吧,谢谢啦!

3个回答

你是3.8版本的,python环境变量设置好了,不用到那个Script目录下啊,一般这个目录是要设置到环境变量里面的,打开cmd直接pip install requests就行了 ,pip 成功了,却无法import版本一般版本是冲突,你先把这个版本卸载了 pip uninstall requests,然后去这个官网下 https://pypi.org/project/requests3/#files,现在指示用这个 pip install requests3;你也可以试试 ,要不就点击那个download files,去下载那个.whl文件 ,偷偷告诉你,一般版本有冲突,都是用
用这个.whl文件就行,下载好了 也是 pip install 把这个文件托到后面 回车就行了

首先,你系统里有多个版本的python吗?我怀疑你系统默认python可能是另一个版本。后面这个图提示你不要直接用pip,那就用python -m pip install requests 试试。

python3吗?python是自带pip的,你要下模组的话要把python的环境变量先配置好,不然pip指令会不知道把模组下哪,还有就pip版本太老对下载也有影响

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐